# ESTKme 2024 Smart Card Product Firmware Upgrade Notes

The purpose of product firmware upgrade is to solve problems that occur during product use, or to add new features and
improve product performance and stability.

To upgrade product firmware, you need to insert the card into the smart card reader and then connect the smart card
reader to the computer.

For example, use: ESTKme-RED (https://www.estk.me/product/estkme-red/)

The latest firmware version is 3.4.3

## Applicable products

1. ESTKme-ES (2024)
2. ESTKme-400K (2024)
3. ESTKme-ECO (2024)
4. ESTKme-ECO Lite (2024)

## Applicable Bootloader versions

1. T000V06
2. T001V02
3. T001V03
4. T001V04
5. T001V05
6. T001V06
7. T002V01
8. T002V06

## Product firmware upgrade method

You can upgrade the firmware of the product to the latest version by the following method:

If your computer system is Windows, you should run `fwupgrade.bat`.

If your computer system is macOS or Linux, you should run `fwupgrade.command`.

## Upgrade Failure

1. If the upgrade using ESTKme-RED fails, please check if your ESTKme-RED smart card reader firmware version 1.1.3 or
   higher.
2. If you are using Windows, do not run the upgrade tool with administrator privileges.
3. Ensure you are in the correct working directory, as the upgrade tool will automatically detect the firmware file.

## For ES and 400K users

If your product firmware is still version 2.x, you should enter the ESTKme-2x-T000V06 directory and run fwupd.exe to
upgrade the BL to version T000V06.

After completing this upgrade, you need to follow the "Product firmware upgrade method" to upgrade the product firmware.

## For macOS Users

Due to macOS security mechanisms, please read <https://support.apple.com/en-hk/guide/mac-help/mh40616/mac> and follow
the instructions before running.
